<?php

namespace QInstruments\ProductSystem\Domain\Model;

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

class Product extends AbstractEntity
{
    protected string $name;
    protected string $partNo;
    protected int $areas;
    protected int $labwares;
    protected int $methods;
    protected string $fgColor;
    protected string $bgColor;

    public function toArray()
    {
        return [
            'name' => $this->getName(),
            'partNo' => $this->getPartNo(),
            'areas' => $this->getAreas(),
            'labwares' => $this->getLabwares(),
            'methods' => $this->getMethods(),
            'fgColor' => $this->getFgColor(),
            'bgColor' => $this->getBgColor(),
        ];
    }

    /**
     * Get the value of name
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * Set the value of name
     */
    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Get the value of partNo
     */
    public function getPartNo(): string
    {
        return $this->partNo;
    }

    /**
     * Set the value of partNo
     */
    public function setPartNo(string $partNo): self
    {
        $this->partNo = $partNo;

        return $this;
    }

    /**
     * Get the value of areas
     */
    public function getAreas(): int
    {
        return $this->areas;
    }

    /**
     * Set the value of areas
     */
    public function setAreas(int $areas): self
    {
        $this->areas = $areas;

        return $this;
    }

    /**
     * Get the value of labwares
     */
    public function getLabwares(): int
    {
        return $this->labwares;
    }

    /**
     * Set the value of labwares
     */
    public function setLabwares(int $labwares): self
    {
        $this->labwares = $labwares;

        return $this;
    }

    /**
     * Get the value of methods
     */
    public function getMethods(): int
    {
        return $this->methods;
    }

    /**
     * Set the value of methods
     */
    public function setMethods(int $methods): self
    {
        $this->methods = $methods;

        return $this;
    }

    /**
     * Get the value of fgColor
     */
    public function getFgColor(): string
    {
        return $this->fgColor;
    }

    /**
     * Set the value of fgColor
     */
    public function setFgColor(string $fgColor): self
    {
        $this->fgColor = $fgColor;

        return $this;
    }

    /**
     * Get the value of bgColor
     */
    public function getBgColor(): string
    {
        return $this->bgColor;
    }

    /**
     * Set the value of bgColor
     */
    public function setBgColor(string $bgColor): self
    {
        $this->bgColor = $bgColor;

        return $this;
    }
}
