<?php

return [
    'ctrl' => [
        'title' => 'Adapter',
        'label' => 'name',
        'crdate' => 'crdate',
        'tstamp' => 'tstamp',
        'cruser_id' => 'cruser_id',
        'versioningWS' => true,
        'enablecolumns' => [
            'disabled' => 'hidden',
            'fe_group' => 'fe_group',
        ],
        'searchFields' => 'name',
        'security' => [
            'ignorePageTypeRestriction' => true,
        ],
        'iconfile' => 'EXT:qinst_prodsys/Resources/Public/Icons/mdi/car-clutch.svg',
    ],

    'types' => [
        '1' => [
            'showitem' => '
                --div--;General,
                    name,
                    part_no,
                    compatible_products,
            ',
        ],
    ],
    'columns' => [
        'part_no' => [
            'label' => 'Part Number',
            'config' => [
                'type' => 'input',
                'size' => 20,
                'eval' => 'trim',
            ],
        ],
        'name' => [
            'label' => 'Name',
            'config' => [
                'type' => 'input',
                'size' => 100,
                'eval' => 'trim',
                'required' => true,
            ],
        ],
        'comment' => [
            'label' => 'Comment',
            'config' => [
                'type' => 'text',
                'enableRichtext' => true,
            ],
        ],

        'compatible_products' => [
            'label' => 'Compatible Products',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectMultipleSideBySide',
                'foreign_table' => 'tx_productsystem_domain_model_product',
                'MM' => 'tx_productsystem_product_adapter_mm',
                'allowed' => 'tx_productsystem_domain_model_product',
            ],
        ],

        'hidden' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.visible',
            'config' => [
                'type' => 'check',
                'renderType' => 'checkboxToggle',
                'items' => [
                    [
                        0 => '',
                        1 => '',
                        'invertStateDisplay' => true,
                    ],
                ],
            ],
        ],

        'crdate' => [
            'config' => [
                'type' => 'passthrough',
            ],
        ],

        'tstamp' => [
            'config' => [
                'type' => 'passthrough',
            ],
        ],
    ],
];
