<?php

return [
    'ctrl' => [
        'title' => 'Product',
        'label' => 'name',
        'crdate' => 'crdate',
        'tstamp' => 'tstamp',
        'cruser_id' => 'cruser_id',
        'versioningWS' => true,
        'enablecolumns' => [
            'disabled' => 'hidden',
            'fe_group' => 'fe_group',
        ],
        'searchFields' => 'name',
        'security' => [
            'ignorePageTypeRestriction' => true,
        ],
        'iconfile' => 'EXT:qinst_prodsys/Resources/Public/Icons/icon-park-outline/ad-product.svg',
    ],

    'types' => [
        '1' => [
            'showitem' => '
                --div--;General,
                    name,
                    part_no,
                    image,
                    desc,
                    --palette--;;appearance,
                    hidden,
                --div--;Properties,
                    --palette--;;general_props,
                    --palette--;;technical_props,
                    --palette--;;adapter_compat,

            ',
        ],
    ],
    'palettes' => [
        'appearance' => [
            'label' => 'Appearance',
            'showitem' => 'fg_color, bg_color',
        ],
        'general_props' => [
            'label' => 'Filter Properties',
            'showitem' => 'areas, labwares, methods, adapter_required',
        ],
        'technical_props' => [
            'label' => 'Technical Properties',
            'showitem' => 'orbit, edgelocking_mechanism',
        ],
        'adapter_compat' => [
            'label' => 'Adapter Compatibility',
            'showitem' => 'comptabile_adapters',
        ],
    ],
    'columns' => [
        'part_no' => [
            'label' => 'Part Number',
            'config' => [
                'type' => 'input',
                'size' => 20,
                'eval' => 'trim',
            ],
        ],
        'name' => [
            'label' => 'Name',
            'config' => [
                'type' => 'input',
                'size' => 100,
                'eval' => 'trim',
                'required' => true,
            ],
        ],
        'areas' => [
            'label' => 'Area of Usage',
            'description' => 'Where can the product be used?',
            'config' => [
                'type' => 'check',
                'items' => [
                    [
                        'label' => 'Automation',
                    ],
                    [
                        'label' => 'Lab Bench',
                    ],
                ],
            ],
        ],
        'methods' => [
            'label' => 'Methods',
            'description' => 'How does the product operate?',
            'config' => [
                'type' => 'check',
                'items' => [
                    [
                        'label' => 'Shake',
                    ],
                    [
                        'label' => 'Heat',
                    ],
                    [
                        'label' => 'Cool',
                    ],
                    [
                        'label' => 'Tilt',
                    ],
                    [
                        'label' => 'Turn',
                    ],
                ],
            ],
        ],
        'labwares' => [
            'label' => 'Labware',
            'description' => 'What labware does the product support?',
            'config' => [
                'type' => 'check',
                'items' => [
                    [
                        'label' => 'TubesVialsLarge',
                    ],
                    [
                        'label' =>   'TubesVialsSmall',
                    ],
                    [
                        'label' =>   'Microplates',
                    ],
                    [
                        'label' =>   'MicroplatesHighDensity',
                    ],
                    [
                        'label' =>   'MicroplatesMediumDensity',
                    ],
                    [
                        'label' =>   'MicroplatesLowDensity',
                    ],
                    [
                        'label' =>   'DeepWellPlates',
                    ],
                ],
            ],
        ],
        'fg_color' => [
            'label' => 'Foreground Color',
            'config' => [
                'type' => 'input',
                'size' => 20,
                'eval' => 'trim',
                'required' => true,
            ],
        ],
        'bg_color' => [
            'label' => 'Background CSS',
            'config' => [
                'type' => 'input',
                'size' => 200,
                'eval' => 'trim',
                'required' => true,
            ],
        ],
        'adapter_required' => [
            'label' => 'Adapter Required',
            'config' => [
                'type' => 'check',
            ],
        ],
        'image' => [
            'label' => 'Image',
            'config' => [
                'type' => 'file',
                'maxitems' => 1,
                'allowed' => 'common-image-types',
            ],
        ],
        'desc' => [
            'label' => 'Description',
            'config' => [
                'type' => 'text',
                'enableRichtext' => true,
            ],
        ],
        'orbit' => [
            'label' => 'Orbit',
            'description' => 'How does the product operate?',
            'config' => [
                'type' => 'check',
                'items' => [
                    [
                        'label' => '3mm',
                    ],
                    [
                        'label' => '2mm',
                    ],
                    [
                        'label' => '1.2mm',
                    ],
                ],
            ],
        ],
        'edgelocking_mechanism' => [
            'label' => 'Edgelocking Mechanism',
            'config' => [
                'type' => 'check',
            ],
        ],

        'comptabile_adapters' => [
            'label' => 'Compatible Adapters',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectMultipleSideBySide',
                'foreign_table' => 'tx_productsystem_domain_model_adapter',
                'MM' => 'tx_productsystem_product_adapter_mm',
                'allowed' => 'tx_productsystem_domain_model_adapter',
            ],
        ],

        'hidden' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.visible',
            'config' => [
                'type' => 'check',
                'renderType' => 'checkboxToggle',
                'items' => [
                    [
                        0 => '',
                        1 => '',
                        'invertStateDisplay' => true,
                    ],
                ],
            ],
        ],

        'crdate' => [
            'config' => [
                'type' => 'passthrough',
            ],
        ],

        'tstamp' => [
            'config' => [
                'type' => 'passthrough',
            ],
        ],
    ],
];
