import '@/product-configurator.scss'

import { createApp } from 'vue'
import App from './App.vue'
import { Labware, Method, Product, TechSpec, UsageArea } from './models'
import { z } from 'zod'

export const ProductConfiguratorConfig = z.object({
  availableProducts: z.array(Product),
  allAreas: z.array(UsageArea),
  allLabwares: z.array(Labware),
  allMethods: z.array(Method),
  allTechSpecs: z.array(TechSpec),
})
export type QInstrumentsProductConfiguratorConfig = z.infer<typeof ProductConfiguratorConfig>

const render = (element: string | Element, config: QInstrumentsProductConfiguratorConfig) => {
  if (typeof element === 'string') element = document.querySelector(element) as Element
  console.log('[QInstrumentsProductConfigurator] Rendering to', element, config)
  createApp(App, ProductConfiguratorConfig.parse(config)).mount(element)
}

// UMD library symbol
const QInstrumentsProductConfigurator = {
  render,
}
export default QInstrumentsProductConfigurator
