import type { Labware, Method, UsageArea } from "./models";

export type TranslationKey = UsageArea | Labware | Method
export type TranslationMap = Record<TranslationKey, string>;
export type LanguageCode = 'en'

export const TRANSLATIONS: Record<LanguageCode, TranslationMap>= {
  en: {
    "Lab Bench": "Lab Bench",
    Automation: "Automation",
    Cool: 'Cool',
    Heat: 'Heat',
    Shake: 'Shake',
    Tilt: 'Tilt',
    Turn: 'Turn',
    TubesVialsLarge: 'Tubes/Vials Large',
    TubesVialsSmall: 'Tubes/Vials Small',
    Microplates: 'Microplates',
    MicroplatesHighDensity: 'Microplates High Density',
    MicroplatesMediumDensity: 'Microplates Medium Density',
    MicroplatesLowDensity: 'Microplates Low Density',
    DeepWellPlates: 'Deep Well Plates'
  }
}

export const t = (key: TranslationKey, language: LanguageCode = 'en') => TRANSLATIONS[language][key] || key
