
export const setIntersection = <T>(a: T[] | null, b: T[] | null): T[] =>
  a?.filter((value) => b?.includes(value)) ?? []

export const hasNonEmptyIntersection = <T>(a: T[] | null, b: T[] | null): boolean =>
  setIntersection(a, b).length > 0

export const isSubsetEq = <T>(a: T[] | null, b: T[] | null): boolean => a?.every((value) => b?.includes(value)) ?? false

export const getKeys = <T extends Record<string, unknown>>(obj: T): (keyof T)[] =>
  Object.keys(obj) as (keyof T)[]

