import { fileURLToPath, URL } from 'node:url'

import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import vueDevTools from 'vite-plugin-vue-devtools'

// modify this as needed
const STANDALONE = ['true', '1'].includes((process.env.STANDALONE ?? '').toLowerCase())

export default defineConfig({
  plugins: [vue(), vueDevTools()],
  resolve: {
    alias: {
      '@': fileURLToPath(new URL('./src', import.meta.url)),
    },
  },
  define: {
    // 'process.env.NODE_ENV': JSON.stringify(process.env.NODE_ENV ?? 'production'),
    __VUE_OPTIONS_API__: 'false',
  },
  ...(!STANDALONE
    ? {
        build: {
          emptyOutDir: true,
          minify: false,
          lib: {
            entry: fileURLToPath(new URL('./src/index.ts', import.meta.url)),
            formats: ['umd'],
            name: 'QInstrumentsProductConfigurator',
          },
          rollupOptions: {
            // external: ['vue'],
            output: {
              // globals: {
              //   vue: 'Vue',
              //   zod: 'zod',
              // },
            },
          },
        },
        define: {
          'process.env.NODE_ENV': JSON.stringify('production'),
          'process.env.NODE_DEBUG': JSON.stringify('false'),
        },

        // optimizeDeps: {
        //   exclude: ['vue'],
        // },
      }
    : {}),
})
